libxss1_1.2.2-1_amd64.deb


Advertisement

Description

libxss1 - X11 Screen Saver extension library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libxss1
Package version 1.2.2
Package release 1
Package architecture amd64
Package type deb
Installed size 56 B
Download size 17.12 KB
Official Mirror ftp.br.debian.org
libXss provides an X Window System client interface to the MIT-SCREEN-SAVER
extension to the X protocol.
The Screen Saver extension allows clients behaving as screen savers to
register themselves with the X server, to better integrate themselves with
the running session.
More information about X.Org can be found at:
<URL:http://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libScrnSaver

Alternatives

Package Version Architecture Repository
libxss1_1.2.2-1_i386.deb 1.2.2 i386 Debian Main
libxss1 - - -

Requires

Name Value
libc6 >= 2.2.5
libx11-6 >= 2:1.4.99.1
libxext6 -
multiarch-support -
x11-common -

Download

Type URL
Binary Package libxss1_1.2.2-1_amd64.deb
Source Package libxss

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxss1 deb package:
    # sudo apt-get install libxss1

Files

Path
/usr/lib/x86_64-linux-gnu/libXss.so.1
/usr/lib/x86_64-linux-gnu/libXss.so.1.0.0
/usr/share/doc/libxss1/changelog.Debian.gz
/usr/share/doc/libxss1/changelog.gz
/usr/share/doc/libxss1/copyright

Changelog

2012-04-22 - Julien Cristau <jcristau@debian.org>
libxss (1:1.2.2-1) unstable; urgency=low
* New upstream release.
* Don't require (fake)root for debian/rules clean.
* Remove David Nusinow from Uploaders.
2011-08-11 - Steve Langasek <vorlon@debian.org>
libxss (1:1.2.1-2) unstable; urgency=low
* Build for multiarch.
2010-11-08 - Cyril Brulebois <kibi@debian.org>
libxss (1:1.2.1-1) unstable; urgency=low
[ Julien Cristau ]
* Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
good reason.  Thanks, Colin Watson!
* Remove myself from Uploaders
[ Cyril Brulebois ]
* New upstream release.
* Bump xutils-dev build-dep for new macros.
* Switch from --list-missing to --fail-missing for additional safety.
* Add myself to Uploaders.
2010-01-06 - Julien Cristau <jcristau@debian.org>
libxss (1:1.2.0-2) unstable; urgency=low
* Upload to unstable.
2009-12-02 - Julien Cristau <jcristau@debian.org>
libxss (1:1.2.0-1) experimental; urgency=low
[ Brice Goglin ]
* Add a link to www.X.org and a reference to the upstream module
in the long description.
* Add README.source, bump Standards-Version to 3.8.2.
* Use updated xsfbs, closes: #538600.
* Move -dbg package to section debug.
[ Timo Aaltonen ]
* New upstream release.
* Add includes in -dev, bump {Build-,}Depends, add Replaces on
x11proto-scrnsaver-dev.
* Run autoreconf on build. Add build-deps on automake, libtool
and xutils-dev.
* Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
* Bump Standards-Version to 3.8.3 (no changes).
* Drop pre-dependency on x11-common from libxss-dev. This was needed
for upgrades from sarge.
[ Julien Cristau ]
* debian/rules: fix rules dependencies.
* libxss-dev.install: add header moved over from the proto.
2008-03-21 - Julien Cristau <jcristau@debian.org>
libxss (1:1.1.3-1) unstable; urgency=low
[ Brice Goglin ]
* Add upstream URL to debian/copyright.
* Replace the obsolete ${Source-Version} with ${binary:Version}.
[ Julien Cristau ]
* New upstream release.
* Update debian/copyright from upstream's new COPYING file.
* Remove Branden from Uploaders with his permission, and add myself.
* Don't build-depend on packages with a -1 debian revision.
* Bump Standards-Version to 3.7.3.
* Drop the XS- prefix from Vcs-* control fields.
2007-04-12 - Julien Cristau <jcristau@debian.org>
libxss (1:1.1.2-1) unstable; urgency=low
* New upstream release.
* Install the upstream ChangeLog.
* Add XS-Vcs-* headers in debian/control, and drop obsolete CVS information
from the descriptions.
* Put binary packages in the correct sections.
* Remove Fabio from Uploaders, with his permission.
* libxss-dev already Pre-Depends on x11-common, no need to depend on it.
2006-10-13 - Drew Parsons <dparsons@debian.org>
libxss (1:1.1.0-1) unstable; urgency=low
* New upstream version (X11R7.1).
- applies patch 01_manpage_location.diff.
* Standards version 3.7.2.
* Use debhelper 5.
* libxss-dev does not install usr/include/X11/*
* Install man pages into libxss-dev.
* Use --list-missing with dh_install, exclude libXss.la.
2006-04-19 - David Nusinow <dnusinow@debian.org>
libxss (1:1.0.1-4) unstable; urgency=low
* Reorder makeshlib command in rules file so that ldconfig is run
properly. Thanks Drew Parsons and Steve Langasek.
* Add quilt to build-depends
2006-03-23 - David Nusinow <dnusinow@debian.org>
libxss (1:1.0.1-3) unstable; urgency=low
* Upload to unstable

See Also

Package Description
libxstr-ocaml-dev_0.2.1-21+b4_amd64.deb OCaml library for frequent string operations
libxstream-java_1.4.7-2+deb8u2_all.deb Java library to serialize objects to XML and back again
libxstrp4-camlp4-dev_1.8-4_all.deb camlp4 extension that expands brace expansions in OCaml string
libxt-dev_1.1.4-1+b1_amd64.deb X11 toolkit intrinsics library (development headers)
libxt-doc_1.1.4-1_all.deb X11 toolkit intrinsics library (documentation)
libxt6_1.1.4-1+b1_amd64.deb X11 toolkit intrinsics library
libxtables10_1.4.21-2+b1_amd64.deb netfilter xtables library
libxtst-dev_1.2.2-1+deb8u1_amd64.deb X11 Record extension library (development headers)
libxtst-doc_1.2.2-1+deb8u1_all.deb X11 Record extension library (documentation)
libxtst6_1.2.2-1+deb8u1_amd64.deb X11 Testing -- Record extension library
libxtuplecommon-dev_4.7.0-2_amd64.deb multi-user accounting / CRM / ERP suite (development package)
libxtuplecommon1_4.7.0-2_amd64.deb multi-user accounting / CRM / ERP suite (shared libraries)
libxv-dev_1.0.10-1+deb8u1_amd64.deb X11 Video extension library (development headers)
libxv1_1.0.10-1+deb8u1_amd64.deb X11 Video extension library
libxvidcore-dev_1.3.3-1_amd64.deb Open source MPEG-4 video codec (development)
Advertisement
Advertisement